#!/bin/bash

source src/g.bash

g::log::enable file g.log
g::log::setLevel internal

g::info "Starting try-catch..."

try {
    ls -lah baddir
} catch {
    declare local error="$?"
    g::error "Error code: $error"
}

g::info "After try-catch..."
